import { QueryList, OnInit } from '@angular/core';
import { CoreComponent } from '../core/core.component';
import { Config } from '../model/config';
/**
 * Renders a set of tab group of code snippets.
 *
 * The innerHTML of the `<code-tabs>` component should contain `<code-pane>` elements.
 * Each `<code-pane>` has the same interface as the embedded `<code-example>` component.
 * The optional `linenums` attribute is the default `linenums` for each code pane.
 */
export declare class CodeTabsComponent implements OnInit {
    /** render component according to config  */
    configs: Config[];
    linenums: boolean | number | string;
    content: any;
    coreComponents: QueryList<CoreComponent>;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
